/**
 *
 * Copyright 2003-2005 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.apache.geronimo.connector.outbound;

import javax.resource.ResourceException;

/**
 * ConnectionInterceptor is the interface implemented by
 * ConnectionManager "aspects".  A ConnectionInterceptor
 * implementation can provide one step of functionality for obtaining
 * or releasing a ManagedConnection.
 *
 *
 * @version $Rev: 356022 $ $Date: 2005-12-11 12:58:34 -0800 (Sun, 11 Dec 2005) $
 */

public interface ConnectionInterceptor {
    void getConnection(ConnectionInfo connectionInfo) throws ResourceException;

    void returnConnection(ConnectionInfo connectionInfo, ConnectionReturnAction connectionReturnAction);

    void destroy();

} // ConnectionInterceptor
