/**
 *
 * Copyright 2003-2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.apache.geronimo.j2ee.management;

import org.apache.geronimo.management.J2EEDomain;

/**
 * @version $Rev: 355877 $ $Date: 2005-12-10 18:48:27 -0800 (Sat, 10 Dec 2005) $
 */
public class DomainTest extends Abstract77Test {
    private J2EEDomain domain;

    public void testStandardInterface() throws Exception {
        assertEquals(DOMAIN_NAME.toString(), domain.getObjectName());
        assertObjectNamesEqual(new String[]{SERVER_NAME.toString()}, domain.getServers());
    }

    public void testStandardAttributes() throws Exception {
        assertEquals(DOMAIN_NAME.toString(), kernel.getAttribute(DOMAIN_NAME, "objectName"));
        assertObjectNamesEqual(new String[]{SERVER_NAME.toString()}, (String[]) kernel.getAttribute(DOMAIN_NAME, "servers"));
    }

    protected void setUp() throws Exception {
        super.setUp();
        domain = (J2EEDomain) kernel.getProxyManager().createProxy(DOMAIN_NAME, J2EEDomain.class);
    }

    protected void tearDown() throws Exception {
        kernel.getProxyManager().destroyProxy(domain);
        super.tearDown();
    }
}
