/**
 *
 * Copyright 2003-2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.apache.geronimo.transaction;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;


/**
 * Simple implementation of ComponentContext satisfying invariant.
 *
 * @version $Rev: 355877 $ $Date: 2005-12-10 18:48:27 -0800 (Sat, 10 Dec 2005) $
 *
 * */
public class DefaultInstanceContext implements InstanceContext {
    private final Map connectionManagerMap = new HashMap();
    private final Set unshareableResources;
    private final Set applicationManagedSecurityResources;
    private int callDepth;
    private boolean dead = false;

    public DefaultInstanceContext(Set unshareableResources, Set applicationManagedSecurityResources) {
        this.unshareableResources = unshareableResources;
        this.applicationManagedSecurityResources = applicationManagedSecurityResources;
    }

    public Object getId() {
        return null;
    }

    public Object getContainerId() {
        return null;
    }

    public void associate() throws Exception {
    }

    public void flush() throws Exception {
    }

    public void beforeCommit() throws Exception {
    }

    public void afterCommit(boolean status) throws Exception {
    }

    public void unassociate() throws Throwable {
    }

    public Map getConnectionManagerMap() {
        return connectionManagerMap;
    }

    public Set getUnshareableResources() {
        return unshareableResources;
    }

    public Set getApplicationManagedSecurityResources() {
        return applicationManagedSecurityResources;
    }

    public boolean isInCall() {
        return callDepth > 0;
    }

    public void enter() {
        callDepth++;
    }

    public void exit() {
        assert isInCall();
        callDepth--;
    }

    public boolean isDead() {
        return dead;
    }

    public void die() {
        dead = true;
    }
}
